const { createProxyMiddleware } = require("http-proxy-middleware");
const cairoUrl =
  process.env.CAIRO_URL || "http://cairo.dunestorm.net:52000";
const nubianUrl =
  process.env.NUBIAN_URL || "http://nubian.dunestorm.net:52001";
module.exports = (app) => {
  // Cairo Proxy
  app.use(
    "/api/cairo",
    createProxyMiddleware({
      target: cairoUrl,
    //  logLevel: "silent",
    })
  );
  // Nubian Proxy
  app.use(
    "/api/nubian",
    createProxyMiddleware({
      target: nubianUrl,
    //  logLevel: "silent",
    })
  );
};
